%global framework messagelib

Name:    kf5-%{framework}
Version: 16.08.2
Release: 1%{?dist}
Summary: KDE Message libraries

License: GPLv2
URL:     http://quickgit.kde.org/?p=%{framework}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{framework}-%{version}.tar.xz

## upstream patches

BuildRequires:  cmake(Grantlee5)

BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5UiTools)
BuildRequires:  cmake(Qt5Positioning)
BuildRequires:  cmake(Qt5Qml) cmake(Qt5Quick)
BuildRequires:  cmake(Qt5WebChannel)
BuildRequires:  cmake(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  gpgme-devel

%global kf5_ver 5.23.0
BuildRequires:  extra-cmake-modules >= %{kf5_ver}
BuildRequires:  kf5-rpm-macros >= %{kf5_ver}
BuildRequires:  kf5-karchive-devel >= %{kf5_ver}
BuildRequires:  kf5-kcodecs-devel >= %{kf5_ver}
BuildRequires:  kf5-kcompletion-devel >= %{kf5_ver}
BuildRequires:  kf5-kconfig-devel >= %{kf5_ver}
BuildRequires:  kf5-kdewebkit-devel >= %{kf5_ver}
BuildRequires:  kf5-ki18n-devel >= %{kf5_ver}
BuildRequires:  kf5-kiconthemes-devel >= %{kf5_ver}
BuildRequires:  kf5-kitemviews-devel >= %{kf5_ver}
BuildRequires:  kf5-kwidgetsaddons-devel >= %{kf5_ver}
BuildRequires:  kf5-ktextwidgets-devel >= %{kf5_ver}
BuildRequires:  kf5-kxmlgui-devel >= %{kf5_ver}

#global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global majmin_ver %{version}
BuildRequires:  kdepim-apps-libs-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-mime-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-notes-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-search-devel >= %{majmin_ver}
BuildRequires:  kf5-grantleetheme-devel >= %{majmin_ver}
BuildRequires:  kf5-kcontacts-devel >= %{majmin_ver}
BuildRequires:  kf5-kidentitymanagement-devel >= %{majmin_ver}
BuildRequires:  kf5-kmbox-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  kf5-kldap-devel >= %{majmin_ver}
BuildRequires:  kf5-kmailtransport-devel >= %{majmin_ver}
BuildRequires:  kf5-kpimtextedit-devel >= %{majmin_ver}
BuildRequires:  kf5-libgravatar-devel >= %{majmin_ver}
BuildRequires:  kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires:  kf5-libkleo-devel >= %{majmin_ver}
BuildRequires:  kf5-pimcommon-devel >= %{majmin_ver}

Obsoletes:      kdepim-libs < 7:16.04.0
Conflicts:      kdepim-libs < 7:16.04.0

# messageviewer_standardsheaderstyleplugin.so moved here
Conflicts:      kdepim-addons < 16.07

Requires:       kf5-filesystem

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5Akonadi)
Requires:       cmake(KF5AkonadiMime)
Requires:       cmake(KF5Contacts)
Requires:       cmake(KF5IdentityManagement)
Requires:       cmake(KF5Libkleo)
Requires:       cmake(KF5MessageCore)
Requires:       cmake(KF5Mime)
Requires:       cmake(KF5PimCommon)
Requires:       cmake(KF5WebKit)
%description    devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING COPYING.LIB
%config(noreplace) %{_kf5_sysconfdir}/xdg/messagelib.categories
%{_kf5_sysconfdir}/xdg/messageviewer_header_themes.knsrc
%{_kf5_libdir}/libKF5MessageComposer.so.*
%{_kf5_libdir}/libKF5MessageCore.so.*
%{_kf5_libdir}/libKF5MessageList.so.*
%{_kf5_datadir}/messagelist/
%{_kf5_libdir}/libKF5MessageViewer.so.*
%dir %{_kf5_qtplugindir}/messageviewer/
%{_kf5_qtplugindir}/messageviewer/messageviewer_standardsheaderstyleplugin.so
%{_kf5_datadir}/libmessageviewer/
%{_kf5_datadir}/messageviewer/
%{_kf5_datadir}/kconf_update/messageviewer.upd
%{_kf5_datadir}/knotifications5/messageviewer.notifyrc
%{_kf5_libdir}/libKF5MimeTreeParser.so.*
%{_kf5_libdir}/libKF5TemplateParser.so.*
%{_kf5_datadir}/config.kcfg/customtemplates_kfg.kcfg
%{_kf5_datadir}/config.kcfg/templatesconfiguration_kfg.kcfg
%{_kf5_libdir}/libKF5WebEngineViewer.so.*

%files devel
%{_kf5_libdir}/libKF5MessageComposer.so
%{_kf5_libdir}/cmake/KF5MessageComposer/
%{_kf5_includedir}/MessageComposer/
%{_kf5_includedir}/messagecomposer/
%{_kf5_includedir}/messagecomposer_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_MessageComposer.pri

%{_kf5_libdir}/libKF5MessageCore.so
%{_kf5_libdir}/cmake/KF5MessageCore/
%{_kf5_includedir}/MessageCore/
%{_kf5_includedir}/messagecore/
%{_kf5_includedir}/messagecore_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_MessageCore.pri

%{_kf5_libdir}/libKF5MessageList.so
%{_kf5_libdir}/cmake/KF5MessageList/
%{_kf5_includedir}/MessageList/
%{_kf5_includedir}/messagelist/
%{_kf5_includedir}/messagelist_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_MessageList.pri

%{_kf5_libdir}/libKF5MessageViewer.so
%{_kf5_libdir}/cmake/KF5MessageViewer/
%{_kf5_includedir}/MessageViewer/
%{_kf5_includedir}/messageviewer/
%{_kf5_includedir}/messageviewer_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_MessageViewer.pri

%{_kf5_libdir}/libKF5MimeTreeParser.so
%{_kf5_libdir}/cmake/KF5MimeTreeParser/
%{_kf5_includedir}/MimeTreeParser/
%{_kf5_includedir}/mimetreeparser/
%{_kf5_includedir}/mimetreeparser_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_MimeTreeParser.pri

%{_kf5_libdir}/libKF5TemplateParser.so
%{_kf5_libdir}/cmake/KF5TemplateParser/
%{_kf5_includedir}/TemplateParser/
%{_kf5_includedir}/templateparser/
%{_kf5_includedir}/templateparser_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_TemplateParser.pri

%{_kf5_libdir}/libKF5WebEngineViewer.so
%{_kf5_libdir}/cmake/KF5WebEngineViewer/
%{_kf5_includedir}/WebEngineViewer/
%{_kf5_includedir}/webengineviewer/
%{_kf5_includedir}/webengineviewer_version.h
%{_kf5_archdatadir}/mkspecs/modules/qt_WebEngineViewer.pri


%changelog
* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.2-1
- 16.08.2

* Mon Oct 10 2016 Than Ngo <than@redhat.com> - 16.08.1-3
- CVE-2016-7967, JavaScript access to local and remote URLs (bz#1383610, bz#1382288)
- CVE-2016-7968, JavaScript execution in HTML Mails (bz#1382293, bz#1383959)

* Thu Sep 15 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-2
- pull in upstream fixes, including crasher fix for kde#364994

* Thu Sep 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-1
- 16.08.1

* Sun Sep 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.0-1
- 16.08.0, Conflicts: kdepim-addons < 16.07

* Sun Jul 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-1
- 16.04.3

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.2-1
- 16.04.2

* Wed May 25 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.1-1
- First try
